Bump version to 0.2.7
[snf-image-creator] / docs / install.rst
index 7f15be9..dfd0dd4 100644 (file)
@@ -1,7 +1,7 @@
 Installation
 ^^^^^^^^^^^^
 
-This guide describes how to install snf-image-creator on your machine. It is
+This guide describes how to install snf-image-creator on a Linux system. It is
 highly recommended to have virtualization capable hardware. snf-image-creator
 will work on processors that do not support virtualization but it will be slow.
 
@@ -16,6 +16,7 @@ snf-image-creator depends on the following programs:
  * Python bindings for libguestfs [http://libguestfs.org/]
  * Python interface to sendfile [http://pypi.python.org/pypi/pysendfile]
  * pyparted [https://fedorahosted.org/pyparted/]
+ * rsync [http://rsync.samba.org/]
  * ./kamaki [https://code.grnet.gr/projects/kamaki]
  * Python sh (previously pbs) [https://github.com/amoffat/sh]
  * ANSI colors for Python [http://pypi.python.org/pypi/ansicolors]
@@ -24,42 +25,48 @@ snf-image-creator depends on the following programs:
 The above dependencies are resolved differently, depending on the installation
 method you choose. There are two installation methods available:
 
-#. `Installation using official packages <#install-snf-image-creator-using-official-packages>`_ (currently only for Ubuntu 12.04 LTS and 12.10).
+#. `Installation using packages <#install-snf-image-creator-using-packages>`_
 
-#. `Installation from source <#install-snf-image-creator-using-official-packages>`_
+#. `Installation from source <#install-snf-image-creator-from-source>`_
 
-Install snf-image-creator using official packages
-=================================================
+Install snf-image-creator using packages
+========================================
 
-For Ubuntu systems, you can use our official packages found in the Lauchpad
-PPA: *ppa:grnet/synnefo*
+Ubuntu
+------
 
-.. note::
-   This method of installing snf-image-creator has all the advantages of
-   Ubuntu's APT installation, like automatic dependencies resolution and simple
-   update process.
+For *Ubuntu 12.04 LTS* and *12.10* systems, you can use our official packages
+found in *grnet/synnefo* Lauchpad PPA.
 
-In order to proceed with the installation, you must first add the synnefo PPA
-repository in your system:
+Add the synnefo PPA in your system:
 
 .. code-block:: console
 
    $ sudo apt-add-repository ppa:grnet/synnefo
    $ sudo apt-get update
 
-If *apt-add-repository* is missing, install *software-properties-common* first:
+If *apt-add-repository* is missing, first install:
+
+*software-properties-common* (Ubuntu 12.10):
 
 .. code-block:: console
 
    $ sudo apt-get install software-properties-common
 
-The snf-image-creator package should now be listed calling:
+Or *python-software-properties* (Ubuntu 12.04):
+
+.. code-block:: console
+
+   $ sudo apt-get install python-software-properties
+
+After the synnefo repository is set up, you should be able to list
+snf-image-creator by calling:
 
 .. code-block:: console
 
    $ apt-cache showpkg snf-image-creator
 
-You can now install the package by issuing:
+Install the package by issuing:
 
 .. code-block:: console
 
@@ -69,6 +76,90 @@ You can now install the package by issuing:
    If you are asked during the installation to create/update a
    "supermin appliance", choose "Yes".
 
+.. warning::
+   In *Ubuntu 12.10* the current package of libguestfs (1.18-2) is broken. Take
+   a look at the open `bug report <https://bugs.launchpad.net/ubuntu/quantal/+source/libguestfs/+bug/1086974>`_.
+   Until version 1.18-2ubunut1 is out, you may workaround this problem by
+   creating a symlink like this:
+
+   *sudo ln -s /usr/lib/guestfs /usr/lib/x86_64-linux-gnu/guestfs*
+
+Fedora
+------
+
+For *Fedora 17* you can use our official packages hosted at the *synnefo*
+repository of the openSUSE Build Service.
+
+Add the *synnefo* repository for *Fedora 17* to *yum*:
+
+.. code-block:: console
+
+   $ cd /etc/yum.repos.d
+   $ wget http://download.opensuse.org/repositories/home:/GRNET:/synnefo/Fedora_17/home:GRNET:synnefo.repo
+
+To list the *snf-image-creator* package use the following command:
+
+.. code-block:: console
+
+   $ yum info snf-image-creator
+
+Install the package by issuing:
+
+.. code-block:: console
+
+   $ yum install snf-image-creator
+
+CentOS
+------
+
+For *CentOS 6* you can use our official packages hosted at the *synnefo*
+repository of the openSUSE Build Service.
+
+Add the *synnefo* repository for *CentOS 6* to the yum repositories list:
+
+.. code-block:: console
+
+   $ cd /etc/yum.repos.d
+   $ wget http://download.opensuse.org/repositories/home:/GRNET:/synnefo/CentOS_CentOS-6/home:GRNET:synnefo.repo
+
+Check the `Fedora <#fedora>`_ instructions on how to install the software.
+
+Arch Linux
+----------
+
+For *Arch Linux* there are **unofficial** packages in AUR:
+https://aur.archlinux.org/packages/snf-image-creator/ kindly provided by
+Axilleas Pipinellis <axilleas@archlinux.info>.
+
+.. note::
+    Those packages are not maintained by the Synnefo development team.
+
+    Please direct package-specific questions to Axilleas Pipinellis <axilleas@archlinux.info>,
+    Cc: the Synnefo development team <synnefo-devel@googlegroups.com>
+
+To install the package you may use *yaourt*. Create and install
+the *yaourt* package:
+
+.. code-block:: console
+
+   $ wget https://aur.archlinux.org/packages/pa/package-query/package-query.tar.gz
+   $ tar -xvf package-query.tar.gz
+   $ cd package-query
+   $ makepkg -s
+   $ pacman -U package-query-<VERSION>-<ARCH>.pkg.tar.xz
+   $ cd ..
+   $ wget https://aur.archlinux.org/packages/ya/yaourt/yaourt.tar.gz
+   $ tar -xvf yaourt.tar.gz
+   $ cd yaourt
+   $ makepkg -s
+   $ pacman -U yaourt-<VERSION>-<ARCH>.pkg.tar.xz
+
+Install *snf-image-creator* using yaourt:
+
+.. code-block:: console
+
+   $ yaourt -Sa snf-image-creator
+
 Install snf-image-creator from source
 =====================================
 
@@ -80,19 +171,24 @@ Manually install the following dependencies:
  * Python bindings for libguestfs [http://libguestfs.org/]
  * Python interface to sendfile [http://pypi.python.org/pypi/pysendfile]
  * pyparted [https://fedorahosted.org/pyparted/]
+ * rsync [http://rsync.samba.org/]
 
 In Ubuntu you can do this using:
  
 .. code-block:: console
 
-   $ apt-get install python-setuptools python-guestfs python-dialog \
-     python-sendfile python-parted
+   $ sudo apt-get install python-setuptools python-guestfs python-dialog \
+     python-sendfile python-parted rsync
 
-.. note::
+If you are using Ubuntu 12.10 you also need to install libguestfs-tools:
 
-   If during the installation you get prompted to create/update a
-   "supermin appliance", choose "Yes".
+.. code-block:: console
 
+   $ sudo apt-get install libguestfs-tools
+
+.. note::
+   If you are asked during the installation to create/update a
+   "supermin appliance", choose "Yes".
 
 Python Virtual Environment
 --------------------------
@@ -108,9 +204,9 @@ For Ubuntu use the following command:
 
 .. code-block:: console
 
-   $ apt-get install python-virtualenv
+   $ sudo apt-get install python-virtualenv
 
-Create a new python virtual environment:
+Then create a new python virtual environment:
 
 .. code-block:: console
 
@@ -132,8 +228,9 @@ kamaki Installation
 -------------------
 
 Refer to `./kamaki documentation <http://docs.dev.grnet.gr/kamaki/latest/installation.html>`_
-for instructions. You may install kamaki from source inside the virtualenv or
-use binary packages if they are available for your distribution.
+for instructions. You may install kamaki from source inside the virtualenv
+you've created above or by using binary packages if they are available for your
+distribution.
 
 snf-image-creator Installation
 ------------------------------
@@ -146,7 +243,7 @@ inside the virtualenv using the following commands:
 
    $ tar -xf snf_image_creator-<VERSION>.tar.gz
    $ cd snf_image_creator-<VERSION>
-   $ python ./setup install
+   $ python ./setup.py install
 
 Alternatively, you can install the bleeding edge version of the software by
 cloning its git repository:
@@ -162,11 +259,9 @@ For ubuntu this can be done using:
 
 .. code-block:: console
 
-   $ apt-get install git
+   $ sudo apt-get install git
 
 .. warning::
-
    Keep in mind that the bleeding edge version may be unstable or even
    unusable.
 
-